---
lang: en
title: 'API docs: express.sortlistofgroups'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.sortlistofgroups.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [sortListOfGroups](./express.sortlistofgroups.md)

## sortListOfGroups() function

Sort the groups by their relative order

**Signature:**

```typescript
export declare function sortListOfGroups(...orderedGroups: string[][]): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  orderedGroups | string\[\]\[\] | A list of arrays - each of which represents a partial order of groups. |

**Returns:**

string\[\]


